Package com.databend.jdbc.util

## Class GlobalCookieJar

- java.lang.Object
- - com.databend.jdbc.util.GlobalCookieJar

All Implemented Interfaces:
  `okhttp3.CookieJar`

    public class GlobalCookieJar
    extends Object
    implements okhttp3.CookieJar

### Nested Class Summary

### Nested classes/interfaces inherited from interface okhttp3.CookieJar

`okhttp3.CookieJar.Companion`

### Field Summary

### Fields inherited from interface okhttp3.CookieJar

`Companion, NO_COOKIES`

### Constructor Summary

Constructors
`GlobalCookieJar()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(okhttp3.Cookie cookie)`
`List<okhttp3.Cookie>` `loadForRequest​(okhttp3.HttpUrl url)`
`void` `saveFromResponse​(okhttp3.HttpUrl url, List<okhttp3.Cookie> cookies)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobalCookieJar

    public GlobalCookieJar()

### Method Detail

#### saveFromResponse

    public void saveFromResponse​(okhttp3.HttpUrl url,
                                 List<okhttp3.Cookie> cookies)

Specified by:
  `saveFromResponse` in interface `okhttp3.CookieJar`

#### loadForRequest

    public List<okhttp3.Cookie> loadForRequest​(okhttp3.HttpUrl url)

Specified by:
  `loadForRequest` in interface `okhttp3.CookieJar`

#### add

    public void add​(okhttp3.Cookie cookie)